/*
 * The Guardian Digital EnGarde Secure Linux Installer v1.0.6
 * Copyright (C) 2001 Guardian Digital, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "install.h"

int displayLicense() {
   FILE *licenseFile, *fopen();
    
   char tmpstr[STRING_SIZE]; 
   char licenseText[20000];
 
   int result = 0;
 
   newtComponent licenseForm;
   newtComponent agreeButton;
   newtComponent disagreeButton;
   newtComponent licenseWindow; 
   newtComponent rc;
  
   licenseForm = newtForm (NULL, NULL, 0);
   agreeButton = newtButton (10, 13, "Agree");
   disagreeButton = newtButton (37, 13, "Disagree");
   licenseWindow = newtTextbox (1, 1, 56, 11, NEWT_FLAG_WRAP | NEWT_FLAG_SCROLL);

   if ((licenseFile = fopen("/cdrom/etc/LICENSE", "r")) != NULL) {
         fscanf (licenseFile, "%s", tmpstr);
      while (!(feof(licenseFile))) {
         if (!strcmp(tmpstr,"##")) strcat(licenseText, "\n");
         else {
             sprintf(licenseText, "%s%s ", licenseText, tmpstr);
         }
         fscanf (licenseFile, "%s", tmpstr); 
      }
   } else {
      sprintf (licenseText, "Unable to view license.\n\nPlease refere to the 'LICENSE' file on the CD-ROM.");
   }
 
   newtTextboxSetText(licenseWindow, licenseText);  
   newtFormAddComponents (licenseForm, agreeButton, disagreeButton, licenseWindow, NULL);
   newtCenteredWindow(60, 17, "License Agreement");
   rc = newtRunForm (licenseForm);

   newtPopWindow ();

   if ( rc == agreeButton ) result = 1;
  
   return result;
}
